Skip to main content
GET
Get Remote Check Deposit

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

deposit_id
string<uuid>
required

ID of a deposit for a remote deposit capture

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

Response

Successful retrieval of a Remote Check Deposit

Deposit using remote deposit capture

account_id
string<uuid>
required

The ID of the account

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

back_image_id
string<uuid>
required

ID of the uploaded image of the back of the check

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

check_amount
integer
required

Amount on check in ISO 4217 minor currency units

Required range: x >= 1
Example:

12345

deposit_currency
string
required

ISO 4217 currency code for the deposit amount

Example:

"USD"

front_image_id
string<uuid>
required

ID of the uploaded image of the front of the check

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

date_captured
string<date-time>
required

Date the deposit was captured, in RFC 3339 format

Example:

"2010-05-06T12:23:34.321Z"

date_processed
string<date-time>
required

Date the deposit was processed, in RFC 3339 format

Example:

"2010-05-06T12:23:34.321Z"

deposit_amount
integer
required

Amount deposited in ISO 4217 minor currency units

Example:

12345

id
string<uuid>
required

Remote Check Deposit ID

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

status
enum<string>
required

The status of the deposit

Available options:
SUBMITTED,
PENDING,
FAILED,
REJECTED,
RETURNED,
MANUAL_POST_REJECTED
business_id
string<uuid>

Business ID for the application. An application must have either a Business or a customer associated with it.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

metadata
object

Optional field to store additional information about the resource. Intended to be used by the integrator to store non-sensitive data.

person_id
string<uuid>

Unique ID for the person. Exactly one of person_id or business_id must be set.

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

tenant
string

The id of the tenant containing the resource.

Example:

"abcdef_ghijkl"

creation_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

file_loc_identifier
string | null

Identifier of the ICL file this deposit was transmitted in, if any

last_updated_time
string<date-time>
Example:

"2010-05-06T12:23:34.321Z"

matching_declined_check
string<uuid>[]

IDs of other deposits, already rejected, that appear to match this check (same amount, MICR, and check number). Advisory only; does not block this deposit.

matching_pending_check
string<uuid>[]

IDs of other deposits, currently pending, that appear to match this check (same amount, MICR, and check number). Advisory only; does not block this deposit.

matching_submitted_check
string<uuid>[]

IDs of other deposits, already submitted, that appear to match this check (same amount, MICR, and check number). Advisory only; does not block this deposit.

ocr_account_number
string

Account number of the issuer of the check, included if OCR is successful

Example:

"123456789"

ocr_check_number
string

The unique check number for this check in the checkbook, included if OCR is successful and there is a check number on the check

Example:

"001"

ocr_routing_number
string

Routing number of the issuing bank, included if OCR is successful

Example:

26009593

transaction_id
string<uuid>

The ID of the transaction associated with this deposit

Example:

"b01db9c7-78f2-4a99-8aca-1231d32f9b96"

vendor_info
object

Vendor information for external account management systems